import logging

from fastapi import APIRouter

from api.schemas import HealthResponse


router = APIRouter(tags=["health"])
logger = logging.getLogger(__name__)


@router.get("/health", response_model=HealthResponse)
async def healthcheck() -> HealthResponse:
    logger.debug("Healthcheck request")
    return HealthResponse(status="ok")
